Bug 26182 - Clearly pair UpdateItemWhenLostFromHoldList and CanMarkHoldsToPullAsLost system preferences
Summary: Clearly pair UpdateItemWhenLostFromHoldList and CanMarkHoldsToPullAsLost syst...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-07 16:32 UTC by Andrew Fuerste-Henry
Modified: 2020-09-09 04:20 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off: This patch clarifies the need to use the CanMarkHoldsToPullAsLost system preference when using the UpdateItemWhenLostFromHoldList system versa (and vis versa)
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26182: Clarify wording on CanMarkHoldsToPullAsLost and UpdateItemWhenLostFromHoldList (1.89 KB, patch)
2020-08-13 13:16 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26182: Clarify wording on CanMarkHoldsToPullAsLost and UpdateItemWhenLostFromHoldList (1.95 KB, patch)
2020-08-13 15:28 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26182: Clarify wording on CanMarkHoldsToPullAsLost and UpdateItemWhenLostFromHoldList (2.00 KB, patch)
2020-08-15 08:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-08-07 16:32:16 UTC
If you have CanMarkHoldsToPullAsLost turned on but don't have a value in UpdateItemWhenLostFromHoldList, the Holds to Pull list will give you a "Mark item as Lost" button, but the item will not be marked as lost. We should either pair these so that they always appear together in the same box or add a note to either syspref's description indicating that it requires the other to be set in order to function.
Comment 1 Donna 2020-08-07 16:37:24 UTC
I would suggest adding a note to the sys pref description.  That seems to be the standard now, and I am always for more info in the descriptions!
Comment 2 Jonathan Druart 2020-08-13 08:59:54 UTC
(In reply to Andrew Fuerste-Henry from comment #0)
> If you have CanMarkHoldsToPullAsLost turned on but don't have a value in
> UpdateItemWhenLostFromHoldList, the Holds to Pull list will give you a "Mark
> item as Lost" button, but the item will not be marked as lost.

Reading the code I don't think it's what happens.
If CanMarkHoldsToPullAsLost is on, the item will be mark as lost, however if you have something in UpdateItemWhenLostFromHoldList but CanMarkHoldsToPullAsLost is off, then UpdateItemWhenLostFromHoldList will not be applied.

Can you confirm?
Comment 3 Andrew Fuerste-Henry 2020-08-13 13:01:29 UTC
Here's what I see from playing with combinations of these two sysprefs on master:
CanMarkHoldsToPullAsLost controls whether or not the "Mark item as lost" button shows on the Holds to Pull page. UpdateItemWhenLostFromHoldList controls what the button does.

If CanMarkHoldsToPullAsLost is set to "Allow to mark items as lost" and UpdateItemWhenLostFromHoldList is empty, we get a "Mark item as lost" button, but clicking it just cancels the hold without making the item lost.

If CanMarkHoldsToPullAsLost is set to "Do not allow to mark items as lost" and UpdateItemWhenLostFromHoldList has "itemlost: 1," we do not get a "Mark item as lost" button.
Comment 4 Andrew Fuerste-Henry 2020-08-13 13:16:51 UTC
Created attachment 108179 [details] [review]
Bug 26182: Clarify wording on CanMarkHoldsToPullAsLost and UpdateItemWhenLostFromHoldList

To test:
- apply patch, restart
- search sysprefs for CanMarkHoldsToPullAsLost
- confirm both sysprefs come up in search and syspref descriptions refer to each other
Comment 5 ByWater Sandboxes 2020-08-13 15:28:39 UTC
Created attachment 108192 [details] [review]
Bug 26182: Clarify wording on CanMarkHoldsToPullAsLost and UpdateItemWhenLostFromHoldList

To test:
- apply patch, restart
- search sysprefs for CanMarkHoldsToPullAsLost
- confirm both sysprefs come up in search and syspref descriptions refer to each other

Signed-off-by: Holly Cooper <holly.teresa.cooper@gmail.com>
Comment 6 Katrin Fischer 2020-08-15 08:00:59 UTC
Created attachment 108315 [details] [review]
Bug 26182: Clarify wording on CanMarkHoldsToPullAsLost and UpdateItemWhenLostFromHoldList

To test:
- apply patch, restart
- search sysprefs for CanMarkHoldsToPullAsLost
- confirm both sysprefs come up in search and syspref descriptions refer to each other

Signed-off-by: Holly Cooper <holly.teresa.cooper@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-08-18 15:47:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-09-03 15:15:20 UTC
backported to 20.05.x for 20.05.04
Comment 9 Aleisha Amohia 2020-09-09 04:20:04 UTC
enhancement, not backported to 19.11.x